input {
    jdbc {
        jdbc_driver_library => "/usr/share/jdbc/mysql-connector-java-8.0.21.jar"
        jdbc_driver_class => "com.mysql.jdbc.Driver"
        jdbc_connection_string => "jdbc:mysql://db:3306/instamini"
        jdbc_user => "zlackbra"
        jdbc_password => "password"
	schedule => "* * * * *"
        statement => "SELECT * FROM User
                      WHERE id IN (SELECT id_row FROM User_log
				   WHERE activity != 'delete' AND time > :sql_last_value)"
     }
}

filter {

}

output {
    elasticsearch {
        hosts => ["elasticsearch:9200"]
        action => update
        doc_as_upsert => true
        document_id => "%{id}"
        index => "users"
    }
}
